workerman运行环境的libevent怎么安装?

workerman运行环境的libevent怎么安装?
libevent.jpg
已邀请:

walkor

赞同来自: xxxxx

centos系统安装教程(适用于php环境是yum install安装的情况),分三步,依次执行
1、命令行运行yum install php-devel php-pear libevent-devel
2、命令行运行pecl install channel://pecl.php.net/libevent-0.1.0
3、命令行运行echo extension=libevent.so > /etc/php.d/libevent.ini

debian/ubuntu系统安装教程(适用于php环境是get-get install安装的情况),分三步,依次执行
1、命令行运行 apt-get install php-pear php5-dev libevent-dev
2、命令行运行pecl install channel://pecl.php.net/libevent-0.1.0
3、命令行运行echo extension=libevent.so > /etc/php5/cli/conf.d/libevent.ini

编译安装
命令行运行
APT-GET:apt-get install php-pear php5-dev libevent-dev
YUM:yum install php-devel php-pear libevent-devel
从http://pecl.php.net/package/libevent 下载源码解压到你的php源码ext目录下,进到ext/libevent-x.x.x目录,依次执行下面命令
① phpize
② ./configure
③ make
④ make install
⑤ 把so文件加入到php.ini去(如果不知到php.ini在哪里,可以通过命令 php --ini 查找到)

xxxxx

赞同来自:

感谢

walkor

赞同来自:

不客气

bdyxel - 进阶的phper

赞同来自:

为什么我没有 /etc/php5/cli/conf.d/libevent.ini 这个文件
我是ubantu操作系统
安装完第二步显示的这个
Build process completed successfully
Installing '/usr/lib/php5/20121212/libevent.so'
install ok: channel://pecl.php.net/libevent-0.1.0
configuration option "php_ini" is not set to php.ini location
You should add "extension=libevent.so" to php.ini

walkor

赞同来自:

按照上面教程会自动创建这个文件

要回复问题请先登录注册